data <- read.table("ch1e2.dat",skip=6,header=T)
attach(data)

print(z0 <- glm(Freq~1,family=poisson))
cbind(Freq,fitted(z0),residuals(z0,type="pearson"))

print(z1 <- glm(Freq~Month,family=poisson))
cbind(Freq,fitted(z1),residuals(z1,type="pearson"))

if(interactive()){
plot(Month,Freq,xlim=c(0,20),ylim=c(0,20),
	xlab="Months",ylab="Frequency",pch=8)
lines(Month,fitted(z1))

plot(Month,log(Freq),xlim=c(0,20),ylim=c(0,3),
	xlab="Months",ylab="Log frequency",pch=8)
lines(Month,log(fitted(z1)))

plot(cooks.distance(z0,res=residuals(z0,type="pearson"),sd=1),
	main="Cook's distance - Poisson Residuals",
	xlab="Observation number",ylab="Cook's distance",pch=8)

qqnorm(residuals(z0,type="pearson")/sqrt(1-lm.influence(z0)$hat),
	main="Q-Q Plot - Poisson Residuals",xlab="Ordered normal",
	ylab="Ordered residual",pch=8)
abline(0,1)

plot(cooks.distance(z1,res=residuals(z1,type="pearson"),sd=1),
	main="Cook's distance - Poisson Residuals",
	xlab="Observation number",ylab="Cook's distance",pch=8)

qqnorm(residuals(z1,type="pearson")/sqrt(1-lm.influence(z1)$hat),
	main="Q-Q Plot - Poisson Residuals",xlab="Ordered normal",
	ylab="Ordered residual",pch=8)
abline(0,1)
}
