library(gnlm)

data <- read.table("ch10e1.dat",skip=6,header=T)
attach(data)

Salinity <- rep(Salinity,4)
SalinityF <- as.factor(Salinity)
Temp <- rep(Temp,4)
TempF <- as.factor(Temp)
O2 <- rep(O2,4)
O2F <- as.factor(O2)
N <- c(N1,N2,N3,N4)
R <- c(R1,R2,R3,R4)

print(zf <- glm(cbind(R,N-R)~SalinityF*TempF*O2F,family=binomial))
print(summary(zrs <- glm(cbind(R,N-R)~Salinity+Temp+O2+I(Salinity^2)+I(Temp^2)+
	I(O2^2)+I(Salinity*Temp)+I(Salinity*O2)+I(Temp*O2),family=binomial)))
deviance(zf)/df.residual(zf)
print(summary(zrs,dispersion=deviance(zf)/df.residual(zf)))

print(znlrs <- rs3(cbind(R,N-R),Salinity,Temp,O2,family=binomial))

print(zrsbb <- gnlr(cbind(R,N-R),dist="beta binomial",mu=~1/(1+exp(-(linear))),
	linear=~Salinity+Temp+O2+I(Salinity^2)+I(Temp^2)+I(O2^2)+
	I(Salinity*Temp)+I(Salinity*O2)+I(Temp*O2),pmu=coef(zrs),psh=1))
p <- znlrs$power
print(znlrsbb <- gnlr(cbind(R,N-R),dist="beta binomial",
	mu=~1/(1+exp(-(b0+b1*Salinity^p[1]+b2*Temp^p[2]+b3*O2^p[3]+
	b4*Salinity^(2*p[1])+b5*Temp^(2*p[2])+b6*O2^(2*p[3])+
	b7*Salinity^p[1]*Temp^p[2]+b8*Salinity^p[1]*O2^p[3]+
	b9*Temp^p[2]*O2^p[3]))),pmu=coef(znlrs),psh=3.1,iterlim=600))
