data <- read.table("ch2e2.dat",skip=6,header=T)
attach(data)

Mode <- relevel(Mode,ref="Walk")
Size <- relevel(Size,ref="Small")
print(z0 <- glm(Freq~Trips+Mode*Size,family=poisson))
print(z1 <- glm(Freq~Trips+Mode*Size+Trips*Size,family=poisson))
print(z2 <- glm(Freq~Trips+Mode*Size+Trips*Mode,family=poisson))
print(summary(z3 <- glm(Freq~Trips+Mode*Size+Trips*Mode+Trips*Size,
	family=poisson)))

if(interactive()){
plot(cooks.distance(z2,res=residuals(z2,type="pearson"),sd=1),
	main="Cook's distance - Poisson Residuals",
	xlab="Observation number",ylab="Cook's distance",pch=8)
qqnorm(residuals(z2,type="pearson")/sqrt(1-lm.influence(z2)$hat),
	main="Q-Q Plot - Poisson Residuals",xlab="Ordered normal",
	ylab="Ordered residual",pch=8)
abline(0,1)

plot(cooks.distance(z3,res=residuals(z3,type="pearson"),sd=1),
	main="Cook's distance - Poisson Residuals",
	xlab="Observation number",ylab="Cook's distance",pch=8)
qqnorm(residuals(z3,type="pearson")/sqrt(1-lm.influence(z3)$hat),
	main="Q-Q Plot - Poisson Residuals",xlab="Ordered normal",
	ylab="Ordered residual",pch=8)
abline(0,1)
}

Size2 <- factor(ifelse(Size=="Medium",1,Size),labels=c("SmallMedium","Large"))
print(summary(z4 <- glm(Freq~Trips+Mode*Size+Trips*Mode+Trips*Size2,
	family=poisson)))
