data <- read.table("ch2e5.dat",skip=6,header=T)
attach(data)

Race <- relevel(Race,ref="White")
Sex <- relevel(Sex,ref="Male")
Smokes <- relevel(Smokes,ref="Yes")
Employment <- relevel(Employment,ref="<10years")

print(summary(zm <- glm(cbind(Yes,No)~Dust+Race+Sex+Smokes+Employment,
	family=binomial)))
print(z2 <- glm(cbind(Yes,No)~Dust+Smokes+Employment,family=binomial))
print(z3 <- glm(cbind(Yes,No)~Smokes+Employment,family=binomial))
print(z4 <- glm(cbind(Yes,No)~Dust+Employment,family=binomial))
print(z5 <- glm(cbind(Yes,No)~Dust+Smokes,family=binomial))

Dust2 <- factor(ifelse(Dust=="Medium",2,Dust),labels=c("High","LowMedium"))
print(z6 <- glm(cbind(Yes,No)~Dust2+Smokes+Employment,family=binomial))
Employment2 <- factor(ifelse(Employment==">20years",2,Employment),
	labels=c("<10years",">10years"))
print(summary(z7 <- glm(cbind(Yes,No)~Dust2+Smokes+Employment2,
	family=binomial)))

if(interactive()){
inf <- rep(0,72)
inf[Yes+No>0] <- sqrt(1-lm.influence(z7)$hat)
qqnorm(residuals(z7,type="pearson")/inf,
	main="Q-Q Plot - Binomial Residuals",xlab="Ordered normal",
	ylab="Ordered residual",pch=8)
abline(0,1)
cd <- rep(0,72)
cd[Yes+No>0] <- cooks.distance(z7,res=residuals(z7,type="pearson")[Yes+No>0],
	sd=1)
plot(cd,main="Cook's distance - Binomial Residuals",
	xlab="Observation number",ylab="Cook's distance",pch=8)
}
