source("ordvar.r")

data <- read.table("ch4e2.dat",skip=6,header=T)
attach(data)

OutcomeL <- rep(1:3,20)
OutcomeL <- OutcomeL-mean(OutcomeL)
index <- gl(20,3,60)
print(summary(z0 <-glm(Freq~Outcome+index,family=poisson)))
print(summary(z1 <- glm(Freq~Outcome+index+index:OutcomeL,family=poisson)))
print(summary(z2 <- lmov(Freq,Outcome,index)))

if(interactive()){
qqnorm(residuals(z2,type="pearson")/sqrt(1-lm.influence(z2)$hat),
	main="Q-Q Plot - Poisson Residuals",xlab="Ordered normal",
	ylab="Ordered residual",pch=8)
abline(0,1)

plot(cooks.distance(z2,res=residuals(z2,type="pearson"),sd=1),
	main="Cook's distance - Poisson Residuals",
	xlab="Observation number",ylab="Cook's distance",pch=8)
}

ord <- z2$scale[[1]]
print(summary(z3 <- glm(Freq~Outcome+index+ord:(Offence+County+Race),
	family=poisson)))
print(summary(z4 <- glm(Freq~Outcome+index+ord:(Offence+County+Race+
	Offence:Race),family=poisson)))

if(interactive()){
qqnorm(residuals(z4,type="pearson")/sqrt(1-lm.influence(z4)$hat),
	main="Q-Q Plot - Binomial Residuals",xlab="Ordered normal",
	ylab="Ordered residual",pch=8)
abline(0,1)

plot(cooks.distance(z4,res=residuals(z4,type="pearson"),sd=1),
	main="Cook's distance - Poisson Residuals",
	xlab="Observation number",ylab="Cook's distance",pch=8)
}
