library(rmutil)
options(contrasts=c("contr.mean","contr.poly"))

data <- read.table("ch5e5.dat",skip=6,header=T)
attach(data)

Q1 <- as.factor(Q1)
Q2 <- as.factor(Q2)
Q3 <- as.factor(Q3)
Q4 <- as.factor(Q4)
wt <- rep(T,16)
wt[1] <- wt[2] <- wt[4] <- wt[8] <- wt[16] <- F
print(z0 <- glm(Freq~Q1+Q2+Q3+Q4,family=poisson,weights=wt))

if(interactive()){
res <- rep(NA,16)
res[wt] <- residuals(z0,type="pearson")[wt]/sqrt(1-lm.influence(z0)$hat)
qqnorm(res,main="Q-Q Plot - Poisson Residuals",xlab="Ordered normal",
	ylab="Ordered residual",pch=8,xlim=c(-2,2),ylim=c(-2,2))
abline(0,1)

cd <- rep(NA,16)
cd[wt] <- cooks.distance(z0,res=residuals(z0,type="pearson")[wt],sd=1)
plot(cd,main="Cook's distance - Poisson Residuals",
	xlab="Observation number",ylab="Cook's distance",pch=8)
}

# Probabilities of replying yes
print(pyes <- 1-1/(1+exp(2*coef(z0)))[2:5])

# Probability of being unscalable
fitted(z0)[1]/sum(Freq)/prod(pyes)

# Probabilities of replying according to the scale
((Freq-fitted(z0))/sum(Freq))[c(1,2,4,8,16)]
