library(event)

data <- read.table("ch7e1.dat",skip=6,header=T)
attach(data)

Freq <- as.vector(t(data[,1:20]))
corps <- rep(Corps,rep(20,14))
yearF <- gl(20,1,280)
year <- rep(1:20,14)

if(interactive()){
reps <- rmna(restovec(data[,1:20],times=1875:1894))
cprocess(events=reps,lty=rep(1,14),xlab="Year",ylab="Deaths",xlim=c(1875,1895))
}

print(z0 <- glm(Freq~1,family=poisson))
print(summary(z1 <- glm(Freq~corps,family=poisson)))

corps2 <- !(corps=="G"|corps=="I"|corps=="VI"|corps=="XI")
print(z2 <- glm(Freq~corps2,family=poisson))

print(z3 <- glm(Freq~corps2+yearF,family=poisson))
year2 <- year>3
print(z4 <- glm(Freq~corps2+year2,family=poisson))
print(z5 <- glm(Freq~corps2+year,family=poisson))

exp(coef(z4))
