data <- read.table("ch7e2.dat",skip=6,header=T)
attach(data)

print(z0 <- glm(Cases~City+Age,family=poisson,offset=log(Population)))

AgeL <- rep(c(46.5,57,62,67,72,77),4)
AgeQ <- AgeL^2
print(z1 <- glm(Cases~City+AgeL,family=poisson,offset=log(Population)))
print(z2 <- glm(Cases~City+AgeL+AgeQ,family=poisson,offset=log(Population)))

City2 <- City!="Fredericia"
print(z3 <- glm(Cases~City2+AgeL+AgeQ,family=poisson,offset=log(Population)))

if(interactive()){
plot(AgeL[!City2],(Cases/Population)[!City2],pch=8,xlim=c(40,80),
	ylim=c(0,0.025),xlab="Age",ylab="Cancer rate")
points(AgeL[City2],(Cases/Population)[City2],pch=6)
lines(40:80,exp(coef(z3)[1]+coef(z3)[3]*(40:80)+coef(z3)[4]*(40:80)^2))
lines(40:80,exp(coef(z3)[1]+coef(z3)[2]+coef(z3)[3]*(40:80)+
	coef(z3)[4]*(40:80)^2),lty=3)
}
