library(event)

y <- scan("ch7e3.dat",skip=6)

if(interactive()){
reps <- rmna(restovec(matrix(y,ncol=30,byrow=T)))
cprocess(events=reps,lty=rep(1,11),xlab="Day",ylab="Rain")
}

YearF <- gl(11,30,labels=1961:1971)
print(z0 <- glm(y~1,family=binomial))
print(summary(z1 <- glm(y~YearF,family=binomial)))

sum(y)/length(y)
y1 <- y[-seq(1,330,by=30)]
ylag <- y[-seq(30,330,by=30)]
table(ylag,y1)/rep(c(sum(ylag==0),sum(ylag)),2)

print(z2 <- glm(y1~1,family=binomial))
print(z3 <- glm(y1~ylag,family=binomial))
1/(1+exp(-coef(z3)[1]))
1/(1+exp(-coef(z3)[1]-coef(z3)[2]))

print(z4 <- glm(y1~ylag+YearF[-seq(1,330,by=30)],family=binomial))

freq <- table(YearF[-seq(1,330,by=30)],y1,ylag)
freq <- rbind(freq[,,1],freq[,,2])
yr <- gl(11,2)
lag <- c(rep(0,11),rep(1,11))
print(z5 <- glm(freq~lag,family=binomial))
1/(1+exp(coef(z5)[1]))
1/(1+exp(coef(z5)[1]-coef(z3)[2]))

freq <- c(freq[,1],freq[,2])
yr <- rep(yr,2)
lag <- rep(lag,2)
y <- gl(2,22)
print(z6 <- glm(freq~y+as.factor(yr)*lag+y*lag,family=poisson))
1/(1+exp(-coef(z6)[2]))
1/(1+exp(-coef(z6)[2]-coef(z6)[14]))
