library(event)

data <- read.list("ch7e4.dat",skip=15,nlines=1)
Treatment <- Inher <- Age <- Height <- Weight <- Corti <- Anti <- Sex <- 
	Hospital <- Censor <- NULL
y <- list()
for(i in data){
      Treatment <- c(Treatment,i[1]-1)
      Inher <- c(Inher,i[2]-1)
      Age <- c(Age,i[3])
      Height <- c(Height,i[4])
      Weight <- c(Weight,i[5])
      Corti <- c(Corti,i[6]-1)
      Anti <- c(Anti,i[7]-1)
      Sex <- c(Sex,i[8]-1)
      Hospital <- c(Hospital,i[9])
      Censor <- c(Censor,i[10])
      y <- c(y,list(c(i[11],if(length(i)>11)diff(i[11:length(i)])else NULL)))}

resp <- restovec(y,censor=Censor)
tccov <- tcctomat(cbind(Treatment,Inher,Age,Height,Weight,Corti,Anti,Sex,
	Hospital))
reps <- rmna(resp,ccov=tccov)

yy <- pp(response(resp)[,1],censor=response(resp)[,2])
time <- tpast(response(resp)[,1])
treat <- tccov(response(resp)[,1],x=Treatment,id=covind(resp))
age <- tccov(response(resp)[,1],x=Age,id=covind(resp))
birth <- log(bp(response(resp)[,1],id=covind(resp))+1)

# exponential
glm(yy~1,family=poisson)
glm(yy~treat,family=poisson)
glm(yy~age,family=poisson)
#print(ze0 <- ehr(yy,lambda=~a,plambda=-4))
#print(zet <- ehr(yy,lambda=~treat,plambda=c(-6.5,0)))
#print(zea <- ehr(yy,lambda=~age,plambda=c(-6.5,0)))
glm(yy~birth,family=poisson)
glm(yy~birth+treat,family=poisson)
glm(yy~birth+age,family=poisson)
glm(yy~birth*treat,family=poisson)

# extreme value
glm(yy~time,family=poisson)
glm(yy~time+treat,family=poisson)
glm(yy~time+age,family=poisson)
#print(zev0 <- ehr(yy,lambda=~time,plambda=c(-7.3,0.005)))
#print(zevt <- ehr(yy,lambda=~time+treat,plambda=c(-9,0.005,0.9)))
#print(zeva <- ehr(yy,lambda=~time+age,plambda=c(-6.5,0.0001,-0.008)))
glm(yy~birth+time,family=poisson)
glm(yy~birth+time+treat,family=poisson)
glm(yy~birth+time+age,family=poisson)
glm(yy~birth+time+treat+birth:treat,family=poisson)

# Weibull
glm(yy~log(time),family=poisson)
glm(yy~log(time)+treat,family=poisson)
glm(yy~log(time)+age,family=poisson)
#print(zw0 <- ehr(yy,lambda=~log(time),plambda=c(-6.5,-0.02)))
#print(zwt <- ehr(yy,lambda=~log(time)+treat,plambda=c(-6.5,-0.01,0.8)))
#print(zwa <- ehr(yy,lambda=~log(time)+age,plambda=c(-6.5,-0.001,-0.008)))
glm(yy~birth+log(time),family=poisson)
glm(yy~birth+log(time)+treat,family=poisson)
glm(yy~birth+log(time)+age,family=poisson)
glm(yy~birth+log(time)+treat+birth:treat,family=poisson)

# Cox impossible to fit without $eliminate in GLIM4
#glm(yy~as.factor(time),family=poisson)
#glm(yy~as.factor(time)+treat,family=poisson)
#glm(yy~as.factor(time)+age,family=poisson)
#print(zc0 <- ehr(yy,lambda=~as.factor(time),plambda=c(-6.5,-0.02)))
#print(zct <- ehr(yy,lambda=~as.factor(time)+treat,plambda=c(-6.5,-0.01,0.8)))
#print(zca <- ehr(yy,lambda=~as.factor(time)+age,plambda=c(-6.5,-0.001,-0.008)))
#glm(yy~birth+as.factor(time),family=poisson)
#glm(yy~birth+as.factor(time)+treat,family=poisson)
#glm(yy~birth+as.factor(time)+age,family=poisson)

glm(yy~birth+treat,family=poisson(link=identity))
glm(yy~treat,family=poisson(link=identity))
#glm(yy~birth+log(time)+treat,family=poisson(link=identity))
