freq <- scan("ch7e9.dat",skip=3)
delay <- rep(1:15,38)
quarter <- rep(1:38,rep(15,38))
wt <- delay<40-quarter
off <- ifelse(delay==1,log(0.2),log(3))
delay <- as.factor(delay)
quarter <- as.factor(quarter)
delayL <- 3*rep(0:14,38)-1
delayL <- ifelse(delayL==-1,0.1,delayL)
quarterL <- rep(1:38,rep(15,38))
recquart <- 1/quarterL
logquart <- log(quarterL)
recdelay <- 1/delayL
logdelay <- log(delayL)

print(z0 <- glm(freq~delay+quarter,family=poisson,weights=wt,offset=off))
print(z1 <- glm(freq~delay+quarter+delayL:quarter+quarterL:delay,
	family=poisson,weights=wt,offset=off))
print(z2 <- glm(freq~quarterL+recquart+logquart+delayL+recdelay+logdelay,
	family=poisson,weights=wt,offset=off))
print(z3 <- glm(freq~logquart+recquart+recdelay+logdelay+(logquart+quarterL):
	(logdelay+recdelay),family=poisson,weights=wt,offset=off))

if(interactive()){
plot(1:38,apply(matrix(freq,ncol=15,byrow=T),1,sum),pch=8,ylim=c(0,500),
	axes=F,xlab="Year",ylab="AIDS cases")
box()
axis(1,seq(3,38,by=8),seq(1984,1992,by=2))
axis(2,seq(0,500,by=50),seq(0,500,by=50))
lines(1:38,apply(matrix(fitted(z0),ncol=15,byrow=T),1,sum),lty=2)
lines(1:38,apply(matrix(fitted(z1),ncol=15,byrow=T),1,sum),lty=1)
lines(1:38,apply(matrix(fitted(z3),ncol=15,byrow=T),1,sum),lty=3)
}
