library(rmutil)
options(contrasts=c("contr.mean","contr.poly"))

data <- read.table("ch8e1.dat",skip=6,header=T)
attach(data)
Father <- as.factor(Father)
Son <- as.factor(Son)

print(z0 <- glm(Freq~Father+Son,family=poisson))
cbind(Freq,Father,Son,residuals(z0,type="pearson"))

if(interactive()){
plot(cooks.distance(z0,res=residuals(z0,type="pearson"),sd=1),
	main="Cook's distance - Poisson Residuals",
	xlab="Observation number",ylab="Cook's distance",pch=8)

qqnorm(residuals(z0,type="pearson")/sqrt(1-lm.influence(z0)$hat),
	main="Q-Q Plot - Poisson Residuals",xlab="Ordered normal",
	ylab="Ordered residual",pch=8)
abline(0,1)
}

print(z1 <- glm(Freq~Father*Son,family=poisson))
par <- matrix(coef(z1)[10:25],ncol=4,byrow=T)
par1 <- apply(par,1,sum)
par <- cbind(par,-par1)
par2 <- apply(par,2,sum)
par <- rbind(par,-par2)
