library(rmutil)
options(contrasts=c("contr.mean","contr.poly"))

data <- read.table("ch8e2.dat",skip=6,header=T)
attach(data)

freq1 <- as.vector(tapply(Freq,list(Member1,Attitude1),sum))
mem1 <- gl(2,1,4,labels=c("No","Yes"))
att1 <- gl(2,2,labels=c("Fav","Unf"))
print(z0 <- glm(freq1~mem1+att1,family=poisson))
print(z1 <- glm(freq1~mem1*att1,family=poisson))

print(z2 <- glm(Freq~Member2+Attitude2+Member1*Attitude1,family=poisson))

if(interactive()){
plot(cooks.distance(z2,res=residuals(z2,type="pearson"),sd=1),
	main="Cook's distance - Poisson Residuals",
	xlab="Observation number",ylab="Cook's distance",pch=8)
}

print(summary(z3 <- glm(Freq~Member2*Attitude2+Member1*Attitude1+
	(Member1+Attitude1)*(Member2+Attitude2),family=poisson)))

if(interactive()){
plot(cooks.distance(z3,res=residuals(z3,type="pearson"),sd=1),
	main="Cook's distance - Poisson Residuals",
	xlab="Observation number",ylab="Cook's distance",pch=8)
}

print(summary(z4 <- glm(Freq~Member2*Attitude2+Member1*Attitude1+
	(Member1+Attitude1)*(Member2+Attitude2)-Attitude2:Member1,
	family=poisson)))
