library(rmutil)
options(contrasts=c("contr.mean","contr.poly"))

data <- read.table("ch9e1.dat",skip=6,header=T)
attach(data)
Diag <- Vote64!=Vote66

print(z0 <- glm(Freq~Vote64+Vote66,family=poisson))

print(z1 <- glm(Freq~Vote64+Vote66,family=poisson,weights=Diag))
(Freq-fitted(z1))[c(1,6,11,16)]
sum((Freq-fitted(z1))[c(1,6,11,16)])/sum(Freq)

print(z2 <- glm(Freq~Vote64+Vote66+Diag,family=poisson))

data.frame(Vote64,Vote66,Freq,Independence=fitted(z0),MoverStayer=fitted(z1),
	Loyalty=fitted(z2))

if(interactive()){
cd <- rep(0,16)
cd[Diag] <- cooks.distance(z1,res=residuals(z1,type="pearson")[Diag],
	sd=1)
plot(cd,main="Cook's distance - Poisson Residuals",
	xlab="Observation number",ylab="Cook's distance",pch=8)

inf <- rep(0,16)
inf[Diag] <- sqrt(1-lm.influence(z1)$hat)
qqnorm(residuals(z1,type="pearson")/inf,
	main="Q-Q Plot - Poisson Residuals",xlab="Ordered normal",
	ylab="Ordered residual",pch=8)
abline(0,1)
}
