data <- read.table("ch9e4.dat",skip=6,header=T)
attach(data)

print(z0 <- glm(Freq~Vote66+Vote70,family=poisson))

D1 <- D2 <- D3<- rep(2,16)
D1[c(2:5,9,13)] <- 1
D1 <- as.factor(D1)
D2[c(3,4,7:10,13,14)] <- 1
D2 <- as.factor(D2)
D3[c(4,8,12:15)] <- 1
D3 <- as.factor(D3)
Diag <- Vote66!=Vote70
print(z1 <- glm(Freq~Vote66+Vote70+D1+D2+D3,family=poisson))

if(interactive()){
plot(cooks.distance(z1,res=residuals(z1,type="pearson"),sd=1),
	main="Cook's distance - Poisson Residuals",
	xlab="Observation number",ylab="Cook's distance",pch=8)

qqnorm(residuals(z1,type="pearson")/sqrt(1-lm.influence(z0)$hat),
	main="Q-Q Plot - Poisson Residuals",xlab="Ordered normal",
	ylab="Ordered residual",pch=8)
abline(0,1)
}

print(z2 <- glm(Freq~Vote66+Vote70+D1+D2+D3+Diag,family=poisson))
print(z3 <- glm(Freq~Vote66+Vote70+D1+D2+D3,family=poisson,weights=Diag))

if(interactive()){
plot(cooks.distance(z2,res=residuals(z2,type="pearson"),sd=1),
	main="Cook's distance - Poisson Residuals",  # ylim=c(0,7),
	xlab="Observation number",ylab="Cook's distance",pch=8)

qqnorm(residuals(z2,type="pearson")/sqrt(1-lm.influence(z2)$hat),
	main="Q-Q Plot - Poisson Residuals",xlab="Ordered normal",
	ylab="Ordered residual",pch=8)
abline(0,1)
}
